package com.kfzs.duanduan.event;

/**
 * <pre>
 *     sinlov
 *
 *     /\__/\
 *    /`    '\
 *  ≈≈≈ 0  0 ≈≈≈ Hello world!
 *    \  --  /
 *   /        \
 *  /          \
 * |            |
 *  \  ||  ||  /
 *   \_oo__oo_/≡≡≡≡≡≡≡≡o
 *
 * </pre>
 * Created by sinlov on 17/2/27.
 */
public class UserEvent {
    public static final String LOGIN_TAG = "fgt:user:login";
    public static final String REGISTER_PHONE_TAG = "fgt:user:register:phone";
    public static final String REGISTER_ORDINARY_TAG = "fgt:user:register:ordinary";
    public static final String FORGET_PASSWORD_TAG = "fgt:user:register:forget:password";
    public static final String SELF_CENTER = "fgt:user:register:SELF:CENTER";
    public static final String SELF_INFO_SHOW = "fgt:user:register:SELF:info:show";
    public static final String SELF_CHANGE_PASSWORD = "fgt:user:register:SELF:change:password";
    private int skipCode;
    private Boolean isExpandedAppBar;
    private Boolean isExpandedAnimAppBar;
    private Boolean isNestedScrollingAppBar;

    public Boolean getIsExpandedAnimAppBar() {
        return isExpandedAnimAppBar;
    }

    public void setIsExpandedAnimAppBar(Boolean isExpandedAnimAppBar) {
        this.isExpandedAnimAppBar = isExpandedAnimAppBar;
    }

    public Boolean getIsNestedScrollingAppBar() {
        return isNestedScrollingAppBar;
    }

    public void setIsNestedScrollingAppBar(Boolean isNestedScrollingAppBar) {
        this.isNestedScrollingAppBar = isNestedScrollingAppBar;
    }

    public Boolean getIsExpandedAppBar() {
        return isExpandedAppBar;
    }

    public void setIsExpandedAppBar(Boolean isExpandedAppBar) {
        this.isExpandedAppBar = isExpandedAppBar;
    }

    public Integer getTitleID() {
        return titleID;
    }

    public void setTitleID(Integer titleID) {
        this.titleID = titleID;
    }

    private Integer titleID;


    public int getSkipCode() {
        return skipCode;
    }

    public void setSkipCode(int skipCode) {
        this.skipCode = skipCode;
    }
}
